<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CustomerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|min:3',
            'contacts.phone_primary' => 'required',
            'contacts.email' => 'required|email',
			'customer_source_id' => 'required|numeric'
        ];
    }
	
	public function response(array $errors)
	{
		return response()->json([
				'title' => 'Customer',
				'message' => 'Check the required fields and try again.',
				'errors' => $errors
			], 422);
	}
	
}
